/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents the data transfer object (DTO) for creating GitLab resource type options.
 * @export
 * @interface GitlabResourceTypeOptionsForCreationDto
 */
export interface GitlabResourceTypeOptionsForCreationDto {
    /**
     * The branch associated with the GitLab resource.
     * @type {string}
     * @memberof GitlabResourceTypeOptionsForCreationDto
     */
    'branch': string;
    /**
     * The access token for authentication with GitLab.
     * @type {string}
     * @memberof GitlabResourceTypeOptionsForCreationDto
     */
    'accessToken': string;
    /**
     * The repository URL for the GitLab resource.
     * @type {string}
     * @memberof GitlabResourceTypeOptionsForCreationDto
     */
    'repoUrl': string;
    /**
     * The project ID associated with the GitLab resource.
     * @type {number}
     * @memberof GitlabResourceTypeOptionsForCreationDto
     */
    'projectId': number;
    /**
     * Indicates whether the terms of service for the GitLab resource are accepted.
     * @type {boolean}
     * @memberof GitlabResourceTypeOptionsForCreationDto
     */
    'tosAccepted': boolean;
}

